package io.renren.modules.app.controller;

import java.util.Arrays;
import java.util.Map;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.entity.SignEntity;
import io.renren.modules.admin.service.SignService;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.R;



/**
 * 签到表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 15:21:05
 */
@RestController
@RequestMapping("app/sign")
public class Sign {
    @Autowired
    private SignService signService;

    /**
     * 保存
     */
    @PostMapping("/signin")
    public R save(@RequestParam Map<String, Object> params){
        Long attendersId = Long.valueOf(params.get("attendersId").toString());
        SignEntity SignEntity = new SignEntity();
        SignEntity.setAttenderId(attendersId);


        return R.ok();
    }
}
